"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAutorDto = void 0;
const class_validator_1 = require("class-validator");
const custom_validators_1 = require("../../custom-validators/custom-validators");
class CreateAutorDto {
}
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El nombre del autor no debe estar vazio" }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    __metadata("design:type", String)
], CreateAutorDto.prototype, "nome", void 0);
__decorate([
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAutorDto.prototype, "descricao", void 0);
__decorate([
    (0, class_validator_1.IsNumber)({}, { message: "El status debe ser um numero 1(activo), 0(inactivo)" }),
    __metadata("design:type", Number)
], CreateAutorDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], CreateAutorDto.prototype, "company_id", void 0);
exports.CreateAutorDto = CreateAutorDto;
//# sourceMappingURL=create-autor.dto.js.map