import { CompanyService } from './company.service';
import { CreateCompanyDto } from './dto/create-company.dto';
import { UpdateCompanyDto } from './dto/update-company.dto';
export declare class CompanyController {
    private readonly companyService;
    constructor(companyService: CompanyService);
    create(createCompanyDto: CreateCompanyDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    update(id: string, data: UpdateCompanyDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    delete(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
}
