import { CreateCompanyDto } from './dto/create-company.dto';
import { UpdateCompanyDto } from './dto/update-company.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class CompanyService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateCompanyDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {})[]>;
    findOne(id: string): import(".prisma/client").Prisma.Prisma__CompanyClient<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}, never, {
        result: {};
        query: {};
        model: {};
        client: {};
    }>;
    update(id: string, data: UpdateCompanyDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    delete(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
