import { CutterService } from './cutter.service';
import { CreateCutterDto } from './dto/create-cutter.dto';
import { UpdateCutterDto } from './dto/update-cutter.dto';
export declare class CutterController {
    private readonly cutterService;
    constructor(cutterService: CutterService);
    create(data: CreateCutterDto, user_id: any): Promise<any>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    getRoles(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    update(id: string, data: UpdateCutterDto, user_id: any): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    remove(id: string, user_id: any): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
}
