"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CutterModule = void 0;
const common_1 = require("@nestjs/common");
const cutter_service_1 = require("./cutter.service");
const cutter_controller_1 = require("./cutter.controller");
const prisma_module_1 = require("../prisma/prisma.module");
const auth_module_1 = require("../auth/auth.module");
const user_service_1 = require("../user/user.service");
let CutterModule = class CutterModule {
};
CutterModule = __decorate([
    (0, common_1.Module)({
        imports: [prisma_module_1.PrismaModule, (0, common_1.forwardRef)(() => auth_module_1.AuthModule)],
        controllers: [cutter_controller_1.CutterController],
        providers: [cutter_service_1.CutterService, user_service_1.UserService],
        exports: [cutter_service_1.CutterService]
    })
], CutterModule);
exports.CutterModule = CutterModule;
//# sourceMappingURL=cutter.module.js.map