"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Company = void 0;
const common_1 = require("@nestjs/common");
exports.Company = (0, common_1.createParamDecorator)((_, context) => {
    const request = context.switchToHttp().getRequest();
    const company_id = request.headers.company_id;
    if (company_id) {
        return company_id;
    }
    else {
        throw new common_1.NotFoundException("Certifique-se de que esta passando company_id no headers da sua chamada");
    }
});
//# sourceMappingURL=company_decorator.js.map