import { EstablishmentService } from './establishment.service';
import { CreateEstablishmentDto } from './dto/create-establishment.dto';
import { UpdateEstablishmentDto } from './dto/update-establishment.dto';
export declare class EstablishmentController {
    private readonly establishmentService;
    constructor(establishmentService: EstablishmentService);
    create(data: CreateEstablishmentDto): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    findAll(): Promise<({
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    update(id: string, data: UpdateEstablishmentDto): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    delete(id: string): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
}
