import { CreateEstablishmentDto } from './dto/create-establishment.dto';
import { UpdateEstablishmentDto } from './dto/update-establishment.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class EstablishmentService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateEstablishmentDto): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    findAll(): Promise<({
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {})[]>;
    findOne(id: string): import(".prisma/client").Prisma.Prisma__EstablishmentClient<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}, never, {
        result: {};
        query: {};
        model: {};
        client: {};
    }>;
    update(id: string, data: UpdateEstablishmentDto): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    delete(id: string): Promise<{
        name: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
