import { PrismaService } from 'src/prisma/prisma.service';
import { UserService } from 'src/user/user.service';
import { CreateFornecedorDto } from './dto/create-fornecedor.dto';
import { UpdateFornecedorDto } from './dto/update-fornecedor.dto';
export declare class FornecedorService {
    private prisma;
    private userService;
    constructor(prisma: PrismaService, userService: UserService);
    create(dados: CreateFornecedorDto, user_id: string): Promise<any>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    search(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    update(id: string, data: UpdateFornecedorDto, user_id: string): Promise<any>;
    delete(id: string, user_id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    ifExist(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    tratar_erros_banco(error: any): any;
}
