"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateLivroDto = void 0;
const mapped_types_1 = require("@nestjs/mapped-types");
const create_livro_dto_1 = require("./create-livro.dto");
const class_validator_1 = require("class-validator");
class UpdateLivroDto extends (0, mapped_types_1.PartialType)(create_livro_dto_1.CreateLivroDto) {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "titulo", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "editorial", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo año debe ser un numero" }),
    __metadata("design:type", Number)
], UpdateLivroDto.prototype, "ano", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo Categoria_id debe ser un texto" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "categoria_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo Fila debe ser un texto" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "fila", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo Colula debe ser un texto" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "coluna", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo Seccion debe ser un texto" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "secao", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El Codigo debe ser una string" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "codigo", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "descricao", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "autor_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], UpdateLivroDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "establishment_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo fornecedor_id debe ser un texto" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "fornecedor_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo edicion debe ser un numero" }),
    __metadata("design:type", Number)
], UpdateLivroDto.prototype, "edicao", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo volume debe ser un numero" }),
    __metadata("design:type", String)
], UpdateLivroDto.prototype, "volume", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo exemplar debe ser un numero" }),
    __metadata("design:type", Number)
], UpdateLivroDto.prototype, "exemplar", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo total_paginas debe ser un numero" }),
    __metadata("design:type", Number)
], UpdateLivroDto.prototype, "total_paginas", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo costo debe ser un numero" }),
    __metadata("design:type", Number)
], UpdateLivroDto.prototype, "custo", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsDateString)({}, { message: "data_aquisicao debe ser una string de datas" }),
    __metadata("design:type", Date)
], UpdateLivroDto.prototype, "data_aquisicao", void 0);
exports.UpdateLivroDto = UpdateLivroDto;
//# sourceMappingURL=update-livro.dto.js.map