import { PrismaService } from 'src/prisma/prisma.service';
import { UserService } from 'src/user/user.service';
import { CreateLivroScddDto } from './dto/create-livro_scdd.dto';
import { UpdateLivroScddDto } from './dto/update-livro_scdd.dto';
export declare class LivroScddService {
    private prisma;
    private userService;
    constructor(prisma: PrismaService, userService: UserService);
    create(dados: CreateLivroScddDto, user_id: string): Promise<any>;
    createMany(dados: string[], user_id: string, livro_id: string): Promise<void>;
    findOne(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        scdd_id: string;
    } & {}>;
    getLivroId(livro_id: string): Promise<({
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        scdd_id: string;
    } & {})[]>;
    update(id: string, data: UpdateLivroScddDto, user_id: string): Promise<any>;
    delete(id: string, user_id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        scdd_id: string;
    } & {}>;
    ifExist(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        scdd_id: string;
    } & {}>;
    tratar_erros_banco(error: any): any;
}
