import { PermissionHasRoleService } from './permission_has_role.service';
import { CreatePermissionHasRoleDto } from './dto/create-permission_has_role.dto';
import { CreateAssingPermissionHasRoleDto } from './dto/create-assing.dto copy';
import { RoleService } from 'src/role/role.service';
export declare class PermissionHasRoleController {
    private readonly permissionHasRoleService;
    private readonly roleService;
    constructor(permissionHasRoleService: PermissionHasRoleService, roleService: RoleService);
    create(createPermissionHasRoleDto: CreatePermissionHasRoleDto): Promise<({
        id: string;
        role_id: string;
        permission_id: string;
    } & {}) | import(".prisma/client").Prisma.BatchPayload>;
    create_assign(data: CreateAssingPermissionHasRoleDto, estab_id: any): Promise<({
        id: string;
        role_id: string;
        permission_id: string;
    } & {}) | import(".prisma/client").Prisma.BatchPayload>;
    findAll(): Promise<({
        role: {
            name: string;
        };
        permission: {
            name: string;
        };
    } & {
        id: string;
        role_id: string;
        permission_id: string;
    } & {})[]>;
    findRole(id: string): Promise<({
        role: {
            name: string;
        };
        permission: {
            name: string;
        };
    } & {
        id: string;
        role_id: string;
        permission_id: string;
    } & {})[]>;
    remove(id: string): import(".prisma/client").Prisma.Prisma__Permission_has_roleClient<{
        id: string;
        role_id: string;
        permission_id: string;
    } & {}, never, {
        result: {};
        query: {};
        model: {};
        client: {};
    }>;
}
