import { CreateScddDto } from './dto/create-scdd.dto';
import { UpdateScddDto } from './dto/update-scdd.dto';
import { PrismaService } from 'src/prisma/prisma.service';
import { UserService } from 'src/user/user.service';
export declare class ScddService {
    private prisma;
    private userService;
    constructor(prisma: PrismaService, userService: UserService);
    create(dados: CreateScddDto, user_id: string): Promise<any>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    search(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    update(id: string, data: UpdateScddDto, user_id: string): Promise<any>;
    delete(id: string, user_id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    ifExist(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    tratar_erros_banco(error: any): any;
}
