import { IsEmail, IsString, IsStrongPassword } from "class-validator";

export class AuthLoginDTO{
    // @IsString()
    // username: string;

    @IsEmail({},{ message: 'O email fornecido não é válido' })
    email:string

    @IsStrongPassword({
        minLength:6,
        minLowercase:0,
        minNumbers:0,
        minSymbols:0,
        minUppercase:0
    })
    password:string;
}