import { Module, forwardRef } from '@nestjs/common';
import { CompanyService } from './company.service';
import { CompanyController } from './company.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { UserService } from 'src/user/user.service';
import { AuthModule } from 'src/auth/auth.module';


@Module({
  imports:[PrismaModule,forwardRef(() => AuthModule)],
  controllers: [CompanyController],
  providers: [CompanyService, UserService]
})
export class CompanyModule {}
