import { IsJSON, IsNotEmpty, IsNumber, IsOptional, IsString, Validate } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class CreateCutterDto {

    @Validate(CustomTextValidator)
    @IsString()
    name: string

    @IsOptional()
    @IsNumber()
    status: number

}
