import { BadRequestException, ExecutionContext, NotFoundException, createParamDecorator } from "@nestjs/common";

export const Company = createParamDecorator((_: unknown, context: ExecutionContext) => {
    const request = context.switchToHttp().getRequest()
    const company_id = request.headers.company_id
    console.log('company_id DECORATOR',request.headers.company_id)
    if (company_id) {
        return company_id
    } else {
        throw new BadRequestException("Certifique-se de que esta passando company_id no headers da sua chamada")
    }

})