import { Type } from "class-transformer";
import { IsDate, IsDateString, IsNotEmpty, IsNumber, IsOptional, IsString, Validate, isISO8601, isObject } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class GraficoEmprestimoDto {
    @IsNotEmpty({ message: "deve se informar o campo ano" })
    @IsString({ message: "o ano deve ser uma string" })
    ano: string

}
