import { Module, forwardRef } from '@nestjs/common';
import { EmprestimoService } from './emprestimo.service';
import { EmprestimoController } from './emprestimo.controller';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';
import { LivroService } from 'src/livro/livro.service';

@Module({
  imports:[ forwardRef(() => AuthModule)],
  controllers: [EmprestimoController],
  providers: [EmprestimoService, UserService, LivroService]
})
export class EmprestimoModule {}
