import { IsNotEmpty, IsNumber, IsOptional, IsString } from "class-validator";

export class CreateFornecedorDto {
    @IsNotEmpty()
    @IsString()
    sigla:string

    @IsOptional()
    @IsString()
    name:string

    @IsOptional()
    @IsNumber()
    status:number
}
