import { IsNotEmpty, IsNumber, IsOptional, IsString } from "class-validator";

export class CreateLivroScddDto {
    @IsNotEmpty()
    @IsString()
    livro_id:string

    @IsNotEmpty()
    @IsString()
    scdd_id:string

    @IsOptional()
    @IsNumber()
    status:number
}
