import { PartialType } from '@nestjs/mapped-types';
import { CreateLivroScddDto } from './create-livro_scdd.dto';
import { IsNumber, IsOptional } from 'class-validator';

export class UpdateLivroScddDto extends PartialType(CreateLivroScddDto) {
    
    @IsOptional()
    @IsNumber()
    status: number

    @IsOptional()
    // @IsString()
    historico: string
}
