import { IsNotEmpty, IsNumber, IsString } from "class-validator";

export class CreatePermissionDto {
    @IsString({message:'O campo name deve ser uma string'})
    @IsNotEmpty({message:'O campo name não pode ser vazio'})
    name: string

    @IsNumber()
    status: number
}
