 import { IsArray, IsNotEmpty, IsNumber, IsOptional, IsString, Validate, ValidateIf } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class CreateAssingPermissionHasRoleDto {

    @IsNotEmpty({message:"Permissions deve estar selecionado"})
    @IsArray({message:"permissions deve ser um array de ids de permissios"})
    permissions:string[]

    @Validate(CustomTextValidator)
    name_role: string

    @IsNumber({},{message:"o campo status deve ser um numero"})
    status:number



}
