import { IsNumber, IsOptional, IsString, Validate } from "class-validator"
import { CustomTextValidator } from "src/custom-validators/custom-validators"

export class CreateScddDto {
    @Validate(CustomTextValidator)
    @IsString()
    name: string

    @IsOptional()
    @IsNumber()
    status: number
}
