import { IsNotEmpty, IsOptional, IsString } from "class-validator";

export class FilterUsuarioDto {

    @IsString({ message: 'O campo text deve ser uma string' })
    @IsNotEmpty({ message: 'O campo text não pode ser vazio' })
    text: string

    @IsOptional()
    @IsString()
    type: string



}
