import { AutorService } from './autor.service';
import { CreateAutorDto } from './dto/create-autor.dto';
import { UpdateAutorDto } from './dto/update-autor.dto';
export declare class AutorController {
    private readonly autorService;
    constructor(autorService: AutorService);
    create(createAutorDto: CreateAutorDto, company_id: any): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    findAll(company_id: any): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    getRoles(filter: string, company_id: any): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    update(id: string, updateAutorDto: UpdateAutorDto): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    remove(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
}
