import { CreateAutorDto } from './dto/create-autor.dto';
import { UpdateAutorDto } from './dto/update-autor.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class AutorService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateAutorDto): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    findAll(company_id: string): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    search(filter: string, company_id: string): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    update(id: string, data: UpdateAutorDto): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    delete(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
