import { CategoriaService } from './categoria.service';
import { CreateCategoriaDto } from './dto/create-categoria.dto';
import { UpdateCategoriaDto } from './dto/update-categoria.dto';
export declare class CategoriaController {
    private readonly categoriaService;
    constructor(categoriaService: CategoriaService);
    create(data: CreateCategoriaDto, company_id: any): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    findAll(company_id: any): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    getRoles(filter: string, company_id: any): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    update(id: string, updateCategoriaDto: UpdateCategoriaDto): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    remove(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
}
