import { CreateCategoriaDto } from './dto/create-categoria.dto';
import { UpdateCategoriaDto } from './dto/update-categoria.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class CategoriaService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateCategoriaDto): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    findAll(company_id: string): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    search(filter: string, company_id: string): Promise<({
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    update(id: string, data: UpdateCategoriaDto): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    delete(id: string): Promise<{
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        nome: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
