import { PrismaService } from 'src/prisma/prisma.service';
import { CreateCutterDto } from './dto/create-cutter.dto';
import { UpdateCutterDto } from './dto/update-cutter.dto';
import { UserService } from 'src/user/user.service';
export declare class CutterService {
    private prisma;
    private userService;
    constructor(prisma: PrismaService, userService: UserService);
    create(dados: CreateCutterDto, user_id: string): Promise<any>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    search(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    update(id: string, data: UpdateCutterDto, user_id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    delete(id: string, user_id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    ifExist(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    tratar_erros_banco(error: any): any;
}
