"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Establishment = void 0;
const common_1 = require("@nestjs/common");
exports.Establishment = (0, common_1.createParamDecorator)((_, context) => {
    const request = context.switchToHttp().getRequest();
    const establishment_id = request.headers.establishment_id;
    if (establishment_id) {
        return establishment_id;
    }
    else {
        throw new common_1.NotFoundException("Estabelecimento não encontrado no Request. Certifique-se de que esta passando establishment_id no headers da sua chamada");
    }
});
//# sourceMappingURL=establishment.decorator.js.map