"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const common_1 = require("@nestjs/common");
exports.User = (0, common_1.createParamDecorator)((_, context) => {
    const request = context.switchToHttp().getRequest();
    if (request.user) {
        return request.user;
    }
    else {
        throw new common_1.NotFoundException("Usuario não encontrado mo Request. Para usar o decorator User precisa chamar authGuard antes :)");
    }
});
//# sourceMappingURL=user.decorator.js.map