import { FornecedorService } from './fornecedor.service';
import { CreateFornecedorDto } from './dto/create-fornecedor.dto';
import { UpdateFornecedorDto } from './dto/update-fornecedor.dto';
export declare class FornecedorController {
    private readonly fornecedorService;
    constructor(fornecedorService: FornecedorService);
    create(data: CreateFornecedorDto, user_id: any): Promise<any>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    getRoles(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    update(id: string, data: UpdateFornecedorDto, user_id: any): Promise<any>;
    remove(id: string, user_id: any): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        sigla: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
}
