"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LivroModule = void 0;
const common_1 = require("@nestjs/common");
const livro_controller_1 = require("./livro.controller");
const prisma_module_1 = require("../prisma/prisma.module");
const user_service_1 = require("../user/user.service");
const auth_module_1 = require("../auth/auth.module");
const livro_service_1 = require("./livro.service");
const livro_scdd_service_1 = require("../livro_scdd/livro_scdd.service");
const livro_autor_cutter_service_1 = require("../livro_autor_cutter/livro_autor_cutter.service");
let LivroModule = class LivroModule {
};
LivroModule = __decorate([
    (0, common_1.Module)({
        imports: [prisma_module_1.PrismaModule, (0, common_1.forwardRef)(() => auth_module_1.AuthModule)],
        controllers: [livro_controller_1.LivroController],
        providers: [livro_service_1.LivroService, user_service_1.UserService, livro_scdd_service_1.LivroScddService, livro_autor_cutter_service_1.LivroAutorCutterService]
    })
], LivroModule);
exports.LivroModule = LivroModule;
//# sourceMappingURL=livro.module.js.map