import { LivroAutorCutterService } from './livro_autor_cutter.service';
import { CreateLivroAutorCutterDto } from './dto/create-livro_autor_cutter.dto';
import { UpdateLivroAutorCutterDto } from './dto/update-livro_autor_cutter.dto';
export declare class LivroAutorCutterController {
    private readonly livroAutorCutterService;
    constructor(livroAutorCutterService: LivroAutorCutterService);
    create(createLivroAutorCutterDto: CreateLivroAutorCutterDto): import(".prisma/client").Prisma.Prisma__Livro_autor_cutterClient<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}, never, {
        result: {};
        query: {};
        model: {};
        client: {};
    }>;
    findAll(livro_id: string): import(".prisma/client").Prisma.PrismaPromise<({
        Autor: {
            status: number;
            company_id: string;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            descricao: string;
            nome: string;
        } & {};
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {})[]>;
    update(id: string, updateLivroAutorCutterDto: UpdateLivroAutorCutterDto): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}>;
    remove(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}>;
}
