"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LivroAutorCutterController = void 0;
const common_1 = require("@nestjs/common");
const livro_autor_cutter_service_1 = require("./livro_autor_cutter.service");
const create_livro_autor_cutter_dto_1 = require("./dto/create-livro_autor_cutter.dto");
const update_livro_autor_cutter_dto_1 = require("./dto/update-livro_autor_cutter.dto");
const auth_guard_1 = require("../guards/auth.guard");
let LivroAutorCutterController = class LivroAutorCutterController {
    constructor(livroAutorCutterService) {
        this.livroAutorCutterService = livroAutorCutterService;
    }
    create(createLivroAutorCutterDto) {
        return this.livroAutorCutterService.create(createLivroAutorCutterDto);
    }
    findAll(livro_id) {
        return this.livroAutorCutterService.findAll(livro_id);
    }
    update(id, updateLivroAutorCutterDto) {
        return this.livroAutorCutterService.update(id, updateLivroAutorCutterDto);
    }
    remove(id) {
        return this.livroAutorCutterService.delete(id);
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_livro_autor_cutter_dto_1.CreateLivroAutorCutterDto]),
    __metadata("design:returntype", void 0)
], LivroAutorCutterController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], LivroAutorCutterController.prototype, "findAll", null);
__decorate([
    (0, common_1.Patch)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_livro_autor_cutter_dto_1.UpdateLivroAutorCutterDto]),
    __metadata("design:returntype", void 0)
], LivroAutorCutterController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], LivroAutorCutterController.prototype, "remove", null);
LivroAutorCutterController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('livro-autor-cutter'),
    __metadata("design:paramtypes", [livro_autor_cutter_service_1.LivroAutorCutterService])
], LivroAutorCutterController);
exports.LivroAutorCutterController = LivroAutorCutterController;
//# sourceMappingURL=livro_autor_cutter.controller.js.map