import { CreateLivroAutorCutterDto } from './dto/create-livro_autor_cutter.dto';
import { UpdateLivroAutorCutterDto } from './dto/update-livro_autor_cutter.dto';
import { PrismaService } from 'src/prisma/prisma.service';
import { CreateManyLivroAutor } from './dto/create-many-livor_autor';
export declare class LivroAutorCutterService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateLivroAutorCutterDto): import(".prisma/client").Prisma.Prisma__Livro_autor_cutterClient<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}, never, {
        result: {};
        query: {};
        model: {};
        client: {};
    }>;
    createMany(dados: CreateManyLivroAutor): import(".prisma/client").Prisma.PrismaPromise<import(".prisma/client").Prisma.BatchPayload>;
    findAll(livro_id: string): import(".prisma/client").Prisma.PrismaPromise<({
        Autor: {
            status: number;
            company_id: string;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            descricao: string;
            nome: string;
        } & {};
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}>;
    update(id: string, data: UpdateLivroAutorCutterDto): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}>;
    updateStatus(id: string, status: number): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}>;
    delete(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        cutter_id: string;
        autor_id: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
