import { LivroScddService } from './livro_scdd.service';
import { CreateLivroScddDto } from './dto/create-livro_scdd.dto';
import { UpdateLivroScddDto } from './dto/update-livro_scdd.dto';
export declare class LivroScddController {
    private readonly livroScddService;
    constructor(livroScddService: LivroScddService);
    create(data: CreateLivroScddDto, user_id: any): Promise<any>;
    getLivroId(livro_id: string): Promise<({
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        scdd_id: string;
    } & {})[]>;
    update(id: string, data: UpdateLivroScddDto, user_id: any): Promise<any>;
    remove(id: string, user_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        livro_id: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        scdd_id: string;
    } & {}>;
}
