"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PerfilModule = void 0;
const common_1 = require("@nestjs/common");
const perfil_service_1 = require("./perfil.service");
const perfil_controller_1 = require("./perfil.controller");
const prisma_module_1 = require("../prisma/prisma.module");
const auth_module_1 = require("../auth/auth.module");
const user_service_1 = require("../user/user.service");
let PerfilModule = class PerfilModule {
};
PerfilModule = __decorate([
    (0, common_1.Module)({
        imports: [prisma_module_1.PrismaModule, (0, common_1.forwardRef)(() => auth_module_1.AuthModule)],
        controllers: [perfil_controller_1.PerfilController],
        providers: [perfil_service_1.PerfilService, user_service_1.UserService]
    })
], PerfilModule);
exports.PerfilModule = PerfilModule;
//# sourceMappingURL=perfil.module.js.map