"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreatePermissionHasRoleDto = void 0;
const class_validator_1 = require("class-validator");
class CreatePermissionHasRoleDto {
}
__decorate([
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreatePermissionHasRoleDto.prototype, "role_id", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_validator_1.ValidateIf)((object, value) => !object.permission_id),
    (0, class_validator_1.IsArray)({ message: "permissions deve ser um array de ids de permissios" }),
    __metadata("design:type", Array)
], CreatePermissionHasRoleDto.prototype, "permissions", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "permission_id ou permissions nao pode ser vazio" }),
    (0, class_validator_1.ValidateIf)((object, value) => !object.permissions),
    (0, class_validator_1.IsString)({ message: "permission_id" }),
    __metadata("design:type", String)
], CreatePermissionHasRoleDto.prototype, "permission_id", void 0);
exports.CreatePermissionHasRoleDto = CreatePermissionHasRoleDto;
//# sourceMappingURL=create-permission_has_role.dto.js.map