"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PermissionHasRoleController = void 0;
const common_1 = require("@nestjs/common");
const permission_has_role_service_1 = require("./permission_has_role.service");
const create_permission_has_role_dto_1 = require("./dto/create-permission_has_role.dto");
const create_assing_dto_copy_1 = require("./dto/create-assing.dto copy");
const auth_guard_1 = require("../guards/auth.guard");
const establishment_decorator_1 = require("../decorators/establishment.decorator");
const role_service_1 = require("../role/role.service");
let PermissionHasRoleController = class PermissionHasRoleController {
    constructor(permissionHasRoleService, roleService) {
        this.permissionHasRoleService = permissionHasRoleService;
        this.roleService = roleService;
    }
    create(createPermissionHasRoleDto) {
        return this.permissionHasRoleService.create(createPermissionHasRoleDto);
    }
    async create_assign(data, estab_id) {
        const role = await this.roleService.create({
            name: data.name_role,
            status: data.status,
            establishment_id: estab_id
        });
        return this.permissionHasRoleService.create({
            permissions: data.permissions,
            role_id: role.id,
            permission_id: null,
        });
    }
    findAll() {
        return this.permissionHasRoleService.findAll();
    }
    findRole(id) {
        return this.permissionHasRoleService.permissiosRole(id);
    }
    remove(id) {
        return this.permissionHasRoleService.remove(id);
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_permission_has_role_dto_1.CreatePermissionHasRoleDto]),
    __metadata("design:returntype", void 0)
], PermissionHasRoleController.prototype, "create", null);
__decorate([
    (0, common_1.Post)('create_assign'),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, establishment_decorator_1.Establishment)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_assing_dto_copy_1.CreateAssingPermissionHasRoleDto, Object]),
    __metadata("design:returntype", Promise)
], PermissionHasRoleController.prototype, "create_assign", null);
__decorate([
    (0, common_1.Get)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], PermissionHasRoleController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], PermissionHasRoleController.prototype, "findRole", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], PermissionHasRoleController.prototype, "remove", null);
PermissionHasRoleController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('permission-has-role'),
    __metadata("design:paramtypes", [permission_has_role_service_1.PermissionHasRoleService, role_service_1.RoleService])
], PermissionHasRoleController);
exports.PermissionHasRoleController = PermissionHasRoleController;
//# sourceMappingURL=permission_has_role.controller.js.map