import { CreatePermissionHasRoleDto } from './dto/create-permission_has_role.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class PermissionHasRoleService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreatePermissionHasRoleDto): Promise<({
        id: string;
        role_id: string;
        permission_id: string;
    } & {}) | import(".prisma/client").Prisma.BatchPayload>;
    createMany(data: any): Promise<import(".prisma/client").Prisma.BatchPayload>;
    findAll(): Promise<({
        role: {
            name: string;
        };
        permission: {
            name: string;
        };
    } & {
        id: string;
        role_id: string;
        permission_id: string;
    } & {})[]>;
    permissiosRole(id: string): Promise<({
        role: {
            name: string;
        };
        permission: {
            name: string;
        };
    } & {
        id: string;
        role_id: string;
        permission_id: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        id: string;
        role_id: string;
        permission_id: string;
    } & {}>;
    deleteAll(role_id: string): import(".prisma/client").Prisma.PrismaPromise<import(".prisma/client").Prisma.BatchPayload>;
    remove(id: string): import(".prisma/client").Prisma.Prisma__Permission_has_roleClient<{
        id: string;
        role_id: string;
        permission_id: string;
    } & {}, never, {
        result: {};
        query: {};
        model: {};
        client: {};
    }>;
}
