import { ScddService } from './scdd.service';
import { CreateScddDto } from './dto/create-scdd.dto';
import { UpdateScddDto } from './dto/update-scdd.dto';
export declare class ScddController {
    private readonly scddService;
    constructor(scddService: ScddService);
    create(data: CreateScddDto, user_id: any): Promise<any>;
    findAll(): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    search(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    update(id: string, data: UpdateScddDto, user_id: any): Promise<any>;
    remove(id: string, user_id: any): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
}
