
import { ValidatorConstraint, ValidatorConstraintInterface, ValidationArguments } from 'class-validator';

@ValidatorConstraint({ name: 'customText', async: false })
export class CustomTextValidator implements ValidatorConstraintInterface {
  validate(text: string, args: ValidationArguments) {
    // Se o valor for uma string vazia ou ter apenas espaços em branco, considere válido
    return !(!text || text.trim().length === 0);
  }

  defaultMessage(args: ValidationArguments) {
    return `${args.property} no puerde ser vazio y debe tener caracteres diferentes de espacios blancos.`;
  }
}
