import { ExecutionContext, NotFoundException, createParamDecorator } from "@nestjs/common";

export const User = createParamDecorator((_:unknown, context: ExecutionContext )=>{
    const request = context.switchToHttp().getRequest();

    if (request.user) {
        return request.user
    }else{
        throw new NotFoundException("Usuario não encontrado mo Request. Para usar o decorator User precisa chamar authGuard antes :)")
    }
   
})