import { PartialType } from '@nestjs/mapped-types';
import { CreateFornecedorDto } from './create-fornecedor.dto';
import { IsNumber, IsOptional, IsString } from 'class-validator';

export class UpdateFornecedorDto extends PartialType(CreateFornecedorDto) {
    @IsOptional()
    @IsString()
    sigla: string

    @IsOptional()
    @IsString()
    name: string

    @IsOptional()
    @IsNumber()
    status: number

    @IsOptional()
    @IsString()
    historico: string
}
