import { Module, forwardRef } from '@nestjs/common';
import { FornecedorService } from './fornecedor.service';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';
import { FornecedorController } from './fornecedor.controller';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule,forwardRef(() => AuthModule)], 
  controllers: [FornecedorController],
  providers: [FornecedorService, UserService],
  exports:[FornecedorService]
})
export class FornecedorModule {}
