import { Injectable } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { ROLES_KEY } from 'src/decorators/roles.decorator';
import { Role } from 'src/enums/role.enum';

@Injectable()
export class RolesGuard {

  constructor(private readonly reflector: Reflector) { }

  canActivate(context) {

    // <Role> por hora não estou utilizando o enum
    const regrasNescessarias = this.reflector.getAllAndOverride(ROLES_KEY, [context.getHandler(), context.getClass()])
    console.log(regrasNescessarias)
    return true;
  }
}
