import { Module } from '@nestjs/common';
import { RoleService } from './role.service';
import { RoleController } from './role.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { PermissionHasRoleService } from 'src/permission_has_role/permission_has_role.service';

@Module({
  imports:[PrismaModule],
  controllers: [RoleController],
  providers: [RoleService, PermissionHasRoleService]
})
export class RoleModule {}
