import { IsArray, IsNotEmpty, IsString } from "class-validator";

export class CreateUserHasRoleDto {

    @IsNotEmpty()
    @IsArray({message:"roles deve ser uma strig de roles_id"})
    roles:string[]

    @IsNotEmpty({message:"user_id não deve ser vazio"})
    @IsString({message:"user_id deve ser uma string"})
    user_id:string
}
