import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { UserHasRoleService } from './user_has_role.service';
import { CreateUserHasRoleDto } from './dto/create-user_has_role.dto';


@Controller('user-has-role')
export class UserHasRoleController {
  constructor(private readonly userHasRoleService: UserHasRoleService) {}

  @Post()
  create(@Body() data: CreateUserHasRoleDto) {
    return this.userHasRoleService.create(data);
  }

  @Get()
  findAll() {
    return this.userHasRoleService.findAll();
  }

}
